package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Directory.Update(ctx, operations.C1APIDirectoryV1DirectoryServiceUpdateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DirectoryServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.directory.update({
appId: "<id>",
});
console.log(result);
}
run();curl --request PUT \
--url https://{tenantDomain}.conductor.one/api/v1/directories/{app_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"all": {},
"celExpression": {
"expression": "<string>"
},
"expandMask": {
"paths": [
"<string>"
]
},
"mergeConfig": {
"matchCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
]
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/directories/{app_id}"
payload = {
"all": {},
"celExpression": { "expression": "<string>" },
"expandMask": { "paths": ["<string>"] },
"mergeConfig": { "matchCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
all: {},
celExpression: {expression: '<string>'},
expandMask: {paths: ['<string>']},
mergeConfig: {matchCases: [{appUserKeyCel: '<string>', userKeyCel: '<string>'}]}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/directories/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"directoryView": {
"appPath": "<string>",
"directory": {
"all": {},
"appId": "<string>",
"celExpression": {
"expression": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"mergeConfig": {
"matchCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"expanded": [
{
"@type": "<string>"
}
]
}Update
Update a directory by app_id.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Directory.Update(ctx, operations.C1APIDirectoryV1DirectoryServiceUpdateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DirectoryServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.directory.update({
appId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
Body
Update a directory by app_id.
This message contains a oneof named account_filter. Only a single field of the following list may be set at a time:
- all
- celExpression
The DirectoryAccountFilterAll message.
The DirectoryAccountFilterCel message.
Show child attributes
Show child attributes
The fields to be included in the directory response.
Show child attributes
Show child attributes
DirectoryMergeConfig configures how AppUsers from this directory are matched to C1 Users.
Show child attributes
Show child attributes
Response
Successful response
The DirectoryServiceUpdateResponse message.
The directory view contains a directory and an app_path which is a JSONPATH set to the location in the expand mask that the expanded app will live if requested by the expander.
Show child attributes
Show child attributes
List of serialized related objects.
Show child attributes
Show child attributes
Was this page helpful?